package ru.yandex.autotests.direct.db.beans.images;

public class ImageFormat {

    public static ImageFormat X_80 = new ImageFormat("80", null);
    public static ImageFormat X_90 = new ImageFormat("90", null);
    public static ImageFormat X_160 = new ImageFormat("160", null);
    public static ImageFormat X_180 = new ImageFormat("180", null);
    public static ImageFormat X_450 = new ImageFormat("450", null);

    public static ImageFormat Y_65 = new ImageFormat(null, "65");
    public static ImageFormat Y_80 = new ImageFormat(null, "80");
    public static ImageFormat Y_90 = new ImageFormat(null, "90");
    public static ImageFormat Y_110 = new ImageFormat(null, "110");
    public static ImageFormat Y_129 = new ImageFormat(null, "129");
    public static ImageFormat Y_150 = new ImageFormat(null, "150");
    public static ImageFormat Y_160 = new ImageFormat(null, "160");
    public static ImageFormat Y_180 = new ImageFormat(null, "180");
    public static ImageFormat Y_300 = new ImageFormat(null, "300");
    public static ImageFormat Y_450 = new ImageFormat(null, "450");

    public static ImageFormat WX_300 = new ImageFormat("300", null);
    public static ImageFormat WX_600 = new ImageFormat("600", null);
    public static ImageFormat WX_1080 = new ImageFormat("1080", null);
    public static ImageFormat WY_300 = new ImageFormat(null, "300");
    public static ImageFormat WY_150 = new ImageFormat(null, "150");

    private String width;
    private String height;

    public ImageFormat(String width, String height) {
        this.width = width;
        this.height = height;
    }

    public String getWidth() {
        return width;
    }

    public String getHeight() {
        return height;
    }
}
